Page MenuHomePhabricator

[Bug] Background isn't displayed in Preview and program aborted
Closed, ResolvedPublic1 Story Points

Description

Reproduce:

  1. Open Textblock style manager
  2. Text format > Set Background ON and set color
  3. Set Background Off
  4. Set Background ON
  5. Click on created style item below Preview section

Actual result:
at step 4: Background isn't displayed in Preview
at step 5: Program received signal SIGABRT, Aborted.

Expected result:
Background should be displayed when its ON

bt:

#0 0x00007ffff55d5cc9 in __GI_raise (sig=sig@entry=6)

at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

#1 0x00007ffff55d90d8 in GI_abort () at abort.c:89
#2 0x00007ffff55ceb86 in
assert_fail_base (

fmt=0x7ffff571f830 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", 
assertion=assertion@entry=0x4c41c2 "(r >= 0) && (r <= 255)", 
file=file@entry=0x4c4178 "../../src/bin/ui/property/property_color_control.c", line=line@entry=97, 
function=function@entry=0x4c4260 <__PRETTY_FUNCTION__.42910> "property_color_control_color_set") at assert.c:92

#3 0x00007ffff55cec32 in GI_assert_fail (

assertion=assertion@entry=0x4c41c2 "(r >= 0) && (r <= 255)", 
file=file@entry=0x4c4178 "../../src/bin/ui/property/property_color_control.c", line=line@entry=97, 
function=function@entry=0x4c4260 <__PRETTY_FUNCTION__.42910> "property_color_control_color_set") at assert.c:101

#4 0x000000000044b264 in property_color_control_color_set (

control=control@entry=0x4000048560006abb, r=-1, g=-1, b=-1, 
a=<optimized out>) at ../../src/bin/ui/property/property_color_control.c:97

#5 0x0000000000450359 in _update_cb (pa=<optimized out>,

action=0x707478 <textblock_pd+4120>)
at ../../src/bin/ui/property/property_textblock.c:964

#6 0x00000000004494e0 in property_item_update (

pa=0x7073f0 <textblock_pd+3984>)
at ../../src/bin/ui/property/property.c:275

#7 0x000000000044956e in property_item_update_recursively (

pa=0x7073f0 <textblock_pd+3984>)
at ../../src/bin/ui/property/property.c:289

#8 0x0000000000449590 in property_item_update_recursively (

pa=pa@entry=0x7070d8 <textblock_pd+3192>)
at ../../src/bin/ui/property/property.c:293

#9 0x00000000004514af in _on_style_selected (data=0x1b1d6d0

QA_Igor created this task.Jul 13 2016, 6:26 AM
an.kroitor moved this task from KanBan (Bugs pool) to Eflete 0.7 on the Eflete board.
an.kroitor edited projects, added Eflete (Eflete 0.7); removed Eflete.
an.kroitor moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.
FurryMyad set the point value for this task to 1.Jul 14 2016, 6:48 AM
FurryMyad moved this task from Doing to Review on the Eflete (Eflete 0.7) board.

Issue is still reproduced. Need to enable/disable many times(around 15)
Checked on commit 99c9e1f3

QA_Igor moved this task from Review to Doing on the Eflete (Eflete 0.7) board.Jul 15 2016, 5:26 AM
rimmed moved this task from Doing to Done on the Eflete (Eflete 0.7) board.Jul 18 2016, 4:09 AM
rimmed closed this task as Resolved.Jul 18 2016, 4:13 AM